## snapcraft 0.3

=== integration-tests/data/build-tools/Makefile ===

all:
	@echo "Makin' like a Makefile"

install:
	@echo "Installin' like a Makefile"

=== integration-tests/data/simple-cmake/CMakeLists.txt ===
project(simple-cmake C)
add_executable(simple-cmake test.c)
install(TARGETS simple-cmake RUNTIME DESTINATION bin)

=== debian/changelog ===
snapcraft (0.3) wily; urgency=medium

  * Core imprevements:
    - Add deprecation messages for deprecated keywords (LP: #1501494)
    - Remove suid/guid from staged packages (LP: #1503495)
    - Autodetect tar sources (LP: #1500726)
    - Better logging if output is not a tty (LP: #1500887)
    - Improved error message when a plugin is not found (LP: #1501980)
  * Plugin improvements:
    - Types instead of plugin as a keyword (LP: #1500857)
    - Plugin names no longer have '-project' as a suffix (LP: #1501496)
    - Local plugins can override built-in ones with x-[plugin].py
      (LP: #1500873)
  * New plugins:
    - Scons support added (LP: #1500758)
  * Bug fixes:
    - Multi python3 install support (LP: #1499429)
    - Use the system series for stage-packages (LP: #1501035)
    - Handle framework policies (LP: #1501037).
    - Don't infer a plugin name from a part name (LP: #1501413)
    - Installation errors during build-package's setup now errors
      (LP: #1502449)
    - When a dangling symlink is found, try and satisfy it with a
      package on the host (LP: #1500505)
    - Support reextraction when using tar sources (LP: #1500728)
    - Do not require geoip (LP: #1499158)
  * Examples:
    - Fix build requirements issue with python2 project (LP: #1501997)
    - Add missing plugin keyword for the python2 example (LP: #1501977)
    - Updated the upstream tarball for tomcat (LP: #1504174)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 25 Sep 2015 12:46:23 +0200

snapcraft (0.2.1) wily; urgency=medium

  * New upstream release (LP: #1499265)
  * Brown-paper bag release:
    - Fix install path of examples. Thanks Martin Pitt for noticing.
    - Allow using local sources through an env var (mostly useful for
      Launchpad building).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 24 Sep 2015 11:37:36 +0200

snapcraft (0.2) wily; urgency=medium

  * Better setuptools support:
    - Better support python-setuptools (LP: #1481864),
    - Used builddir as a base for setup.py overrides (LP: #1498212),
    - Fix build (LP: #1494825),
  * Plugin fixes:
    - Add demo.qml back to the snapcraft.yaml for the QML Demo (LP: #1491301),
    - stage package libgudev-1.0-0, which makes the godd snap actually 
      work (LP: #1498347),
    - Wrap setup.py calls to configure the shebang writer (LP: #1486680),
    - Update tomcat upstream URL, fixes example again (LP: #1491303),
    - Add libgudev-1.0-dev as build-tools for godd example,
      Ensure C library configuration tools don't use system 
      paths (LP: #1496789),
  * Snapcraft cli:
    - On clean, check the contents of the parts dir only if it 
      exists. (LP: #1497371)
    - Load the config before trying to run (LP: #1498140),
    - Notify user why the password is being requested (LP: #1481499),
    - Fix numerous issues in snapcraft run (LP: #1486659),
  * Snapcraft stage-packages:
    - Enable ports for architectures that are not amd64 or 
      i386 (LP: #1498157),
    - Improving stage-package handling (LP: #1497453, LP: #1497582)
    - Fetch all packages in a single download run with proper 
      progress (LP: #1498333),
  * Snapcraft wiki queries excessive (LP: #1496381),
  * Snapcraft internals:
    - Add 'simple' and 'has-leftovers' flags to all integration tests job
      units. (LP: #1484596),
    - Regex for binary and service names (LP: #1495662),
    - Provide a nice error when tabs found in snapcraft.yaml (LP: #1477875),
    - Use relative paths for image creation (LP: #1497108),
    - Use the python logger (LP: #1476452),
    - snapcraft now has less exit points (LP: #1477639),
    - Depend and Build-Depend on python3-requests (LP: #1496363),
    - Add autopkgtest, reshuffle build-deps accordingly (LP: #1496392),
    - Fix "snapcraft run" (LP: #1484720),
  * Examples packaged (LP: #1498189).

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 24 Sep 2015 14:23:24 -0300

snapcraft (0.1) wily; urgency=low

  * Initial release

 -- Michael Terry <mterry@ubuntu.com>  Mon, 6 Jul 2015 21:55:21 -0500

=== debian/control ===
Source: snapcraft
Section: utils
Priority: extra
Maintainer: Snapcraft Team <snappy-devel@lists.ubuntu.com>
Build-Depends: bzr,
               cmake,
               debhelper (>= 9),
               dh-python,
               python3 (>= 3.4),
               python3-apt,
               python3-jsonschema,
               python3-setuptools,
               python3-yaml,
               ubuntu-snappy-cli,
               wget,
               xz-utils
Homepage: https://launchpad.net/snapcraft
Vcs-Bzr: lp:snapcraft
Standards-Version: 3.9.6

Package: snapcraft
Architecture: all
Depends: bzr,
         dpkg-dev,
         git,
         mercurial,
         python3-apt,
         python3-jsonschema,
         python3-requests,
         python3-yaml,
         sudo,
         ubuntu-snappy-cli,
         wget,
         xz-utils,
         ${misc:Depends},
         ${python3:Depends}
Description: easily craft snaps
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.

Package: snapcraft-examples
Architecture: all
Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: examples for snapcraft
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.
 .
 This package contains examples for snapcraft.

=== debian/tests/control ===
Tests: runtests
       runexamples
Restrictions: allow-stderr, isolation-container, rw-build-tree
Depends: @,
         build-essential,
         pep8,
         plainbox,
         pyflakes,
         python3-fixtures,
         python3-mccabe,
         python3-testscenarios

## snapcraft 2.8.4

=== examples/gopaste/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	cp parts/gopaste/src/github.com/wisnij/gopaste/web.template snap/
	cp -r parts/gopaste/src/github.com/wisnij/gopaste/static snap/
	cp -r meta snap/
	cp gopaste snap/bin/

=== examples/java-hello-world/Makefile ===
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

all:

install:
	install -d -m755  $(DESTDIR)/bin/
	install -m755 wrapper $(DESTDIR)/bin/wrapper

=== examples/libpipeline/Makefile ===
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

all:
	gcc -o test ./test.c $(CFLAGS) $(LDFLAGS) -lpipeline

install:
	install -d -m755  $(DESTDIR)/bin/
	install -m755 ./test $(DESTDIR)/bin/test

clean:
	rm -f test

=== examples/py2-project/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:

install:
	mkdir -p $(DESTDIR)/bin
	cp -a sha3sum.py $(DESTDIR)/bin/sha3sum
	chmod a+x $(DESTDIR)/bin/sha3sum

=== examples/tomcat-maven-webapp/Makefile ===
all:

install:
	cp -a tomcat-conf/ $(DESTDIR)/
	install -D -m755 wrapper $(DESTDIR)/bin/wrapper

=== integration_tests/snaps/simple-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(simple-cmake C)
add_executable(simple-cmake test.c)
install(TARGETS simple-cmake RUNTIME DESTINATION bin)

=== integration_tests/snaps/simple-make-filesets/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	echo "file1" > file1
	echo "file2" > file2

install:
	mkdir -p $(DESTDIR)/dir1
	mkdir -p $(DESTDIR)/dir2
	cp -a file1 $(DESTDIR)/
	cp -a file2 $(DESTDIR)/
	cp -a file1 $(DESTDIR)/dir2

=== integration_tests/snaps/simple-scons/SConstruct ===
import os.path

AddOption('--prefix',
          dest='prefix',
          type='string',
          nargs=1,
          default='/usr/local',
          action='store',
          metavar='DIR',
          help='installation prefix')

env = Environment()
hello = env.Program('main.c')
DESTDIR = os.environ.get('DESTDIR', '')

if DESTDIR:
    install_dir = os.path.join(DESTDIR + os.path.sep + GetOption('prefix'), 'bin')
else:
    install_dir = os.path.join(GetOption('prefix'), 'bin')

env.Install(install_dir, hello)
env.Alias('install', install_dir)

=== examples/ros/src/listener/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(listener)

find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
)

catkin_package()

install(PROGRAMS
  scripts/listener_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  talk_and_listen.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== examples/ros/src/talker/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(talker)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(talker_node src/talker_node.cpp)

target_link_libraries(talker_node ${catkin_LIBRARIES})

install(TARGETS talker_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
snapcraft (2.8.4) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Use series 16 by default instead of rolling-core (#477) (LP: #1572602)
  * kernel plugin: iterate over modules to add to initrd (#476) (LP: #1572118)

  [ Kyle Fazzari ]
  * Follow symlinks while hard-linking migrated files. (#478) (LP: #1572664)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 20 Apr 2016 19:15:32 -0300

snapcraft (2.8.3) xenial; urgency=medium

  [ Kyle Fazzari ]
  * docs/intro.md: Fix broken developer reference link. (#456) (LP: #1558296)
  * Nil plugin: Make purpose more clear in documentation. (#455) (LP: #1549691)
  * Use colors for logging. (#474) (LP: #1572186)

  [ Leo Arias ]
  * Update the snapcraft-coverage script to use the internal dirs (#471)
    (LP: #1571696)

  [ Sergio Schvezov ]
  * Fix shell quoting (#473) (LP: #1572129)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 19 Apr 2016 17:59:45 -0300

snapcraft (2.8.2) xenial; urgency=medium

  * Don't expose broken or fragile APIs to plugins (LP: #1571264)
  * catkin plugin: use ProjectOptions for repo setup (#468) (LP: #1571446)
  * qml plugin: remove broken plugin (#469) (LP: #1551343)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 18 Apr 2016 10:06:15 -0300

snapcraft (2.8.1) xenial; urgency=medium

  [ Simon Busch ]
  * Correctly pass arguments to Cleanbuilder (#458) (LP: #1570706)

  [ Sergio Schvezov ]
  * Only add cross build packages when cross compiling. (#451) (LP: #1570414)
  * Fix store downloading (#452) (LP: #1569734)

  [ Kyle Fazzari ]
  * Add support for s390x architecture. (#461) (LP: #1570835)
  * Add SNAP_LIBRARY_PATH to LD_LIBRARY_PATH. (#462) (LP: #1570945)
  * Kernel plugin: Support lzma/xz-compressed initrd. (#463) (LP: #1569337)

 -- Kyle Fazzari <kyle@canonical.com>  Fri, 15 Apr 2016 23:35:47 +0000

snapcraft (2.8) xenial; urgency=medium

  [ Didier Roche ]
  * Support .git extension detection (LP: #1566153)

  [ Kyle Fazzari ]
  * Copy plugin: Follow symlinks if outside of snap. (LP: #1532515)
  * Lifecycle: Check to see if prerequisite is already built. (#431)
    (LP: #1537790)
  * Clean command: Don't automatically clean reverse dependencies. (#436)
    (LP: #1568004)
  * Library crawling: Make ldd failure non-fatal. (#440) (LP: #1569280)
  * Automatically re-strip if dirty. (#442) (LP: #1477904)
  * Automatically re-stage if dirty. (#443) (LP: #1477904)
  * Detect dirty build step. (#447) (LP: #1477904)
  * Detect dirty pull step. (#448) (LP: #1477904)

  [ Sergio Schvezov ]
  * Precedence and library path ordering. (LP: #1548232)
  * Converge all commands into one (#433) (LP: #1567058, #1567041)
  * Make geoip optional and local sources a default (#430)
    (LP: #1536691, #1561068)
  * Remove global state attributes from snapcraft.common (#434) (LP: #1551849)
  * Remove support and mentions of the config hook. (#437) (LP: #1568826)
  * Remove `old-security`. Use proper interfaces. (#441) (LP: #1569452)
  * Make meta a class in snapcraft.internal.meta (#444) (LP: #1551849)
  * Move common directories to ProjectOptions (#445) (LP: #1551849)
  * debian/control: Update Standards-Version.

  [ Leo Arias ]
  * Add a test for the mosquitto example. (#418) (LP: #1564181)
  * Update the snap command in examples tests. (#439) (LP: #1569401)

  [ Vincent Ladeuil ]
  * VCS tools are test dependencies, they should be installed to run the
    tests or the tests should be skipped. (#427) (LP: #1566882)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 13 Apr 2016 21:37:32 -0300

snapcraft (2.7) xenial; urgency=medium

  [ Joe Talbott ]
  * make plugin: Add 'make_parameters' option. (LP: #1563535)

  [ Sergio Schvezov ]
  * Clear icon path before trying to write the new one (LP: #1561331)
  * Raise a nice error when downloading without a login (LP: #1560553)
  * Explain the new way to provide snap icons. (LP: #1561327)
  * Redo pkg-config handling with library collecting (LP: #1549570)
  * Properly validate the schema (LP: #1564607)
  * kbuild: always run defconf with -j1 (LP: #1564191)

  [ Leonardo Arias Fonseca ]
  * integration tests: use a temporary config path (LP: #1562000)
  * Upload snaps passing the snap path. (LP: #1563760)

  [ Vincent Ladeuil ]
  * Fix test isolation issues. (LP: 1563965)

  [ Kyle Fazzari ]
  * docs/plugins.md: Update for new plugin API. (LP: #1561524)
  * Suggest a full clean if step clean is missing state. (LP: #1561328)
  * Copy plugin: Add support for sources. (LP: #1559154)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 04 Apr 2016 23:54:56 -0300

snapcraft (2.6.1) xenial; urgency=medium

  [ Kyle Fazzari ]
  * Clean: Leave local plugins alone. (LP: #1561546)

 -- Kyle Fazzari <kyle@canonical.com>  Thu, 24 Mar 2016 16:04:13 +0000

snapcraft (2.6) xenial; urgency=medium

  [ Leonardo Arias Fonseca ]
  * libpipeline example test: update the binary name (LP: #1560254)
  * busybox example: update the expected results (LP: #1560255)

  [ Sergio Schvezov ]
  * Snaps of type os should not squash with -all-root (LP: #1557513)
  * Support architecture all packages when snapping (LP: #1560481)
  * Add missing build-packages to the busybox example (LP: #1560586)
  * Fixed assets go into a setup dir (LP: 1560969)
  * Include and library paths must exist (LP: #1558965)

  [ Kyle Fazzari ]
  * Support per-step clean command. (LP: #1537786)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 24 Mar 2016 01:16:12 -0300

snapcraft (2.5) xenial; urgency=medium

  [ Leonardo Arias Fonseca ]
  * examples_tests: added more tests after the snaps are installed.
    (LP: #1545071)
  * travis: run the tests in the GCE trusty machine. (LP: #1555386)

  [ Daniel Holbach ]
  * Remove information about PPA. snapcraft and tools will be kept
    up-to-date in xenial. (LP: #1554565)

  [ Scott Sweeny ]
  * Remove Unicode quotes from help text (LP: #1555733)

  [ Sergio Schvezov ]
  * Correct local source pulling (LP: #1558446)
  * New plugin: kbuild (LP: #1558623)


=== debian/control ===
--- 
+++ 
@@ -2,38 +2,53 @@
 Section: utils
 Priority: extra
 Maintainer: Snapcraft Team <snappy-devel@lists.ubuntu.com>
-Build-Depends: bzr,
-               cmake,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                dh-python,
+               pkg-config,
                python3 (>= 3.4),
                python3-apt,
+               python3-docopt,
+               python3-fixtures,
                python3-jsonschema,
+               python3-lxml,
+               python3-magic,
+               python3-petname,
+               python3-pkg-resources,
+               python3-progressbar,
+               python3-requests,
+               python3-requests-oauthlib,
+               python3-requests-toolbelt,
+               python3-responses,
                python3-setuptools,
+               python3-ssoclient,
+               python3-testscenarios,
+               python3-xdg,
                python3-yaml,
-               ubuntu-snappy-cli,
-               wget,
-               xz-utils
-Homepage: https://launchpad.net/snapcraft
-Vcs-Bzr: lp:snapcraft
-Standards-Version: 3.9.6
+Homepage: https://github.com/ubuntu-core/snapcraft
+Vcs-Git: https://github.com/ubuntu-core/snapcraft
+Standards-Version: 3.9.7
 
 Package: snapcraft
 Architecture: all
-Depends: bzr,
-         dpkg-dev,
-         git,
-         mercurial,
-         python3-apt,
+Depends: python3-apt,
+         python3-docopt,
          python3-jsonschema,
+         python3-lxml,
+         python3-magic,
+         python3-petname,
+         python3-pkg-resources,
+         python3-progressbar,
          python3-requests,
+         python3-requests-oauthlib,
+         python3-requests-toolbelt,
+         python3-ssoclient,
+         python3-xdg,
          python3-yaml,
+         squashfs-tools,
          sudo,
-         ubuntu-snappy-cli,
-         wget,
-         xz-utils,
          ${misc:Depends},
          ${python3:Depends}
+Suggests: lxd
 Description: easily craft snaps
  Snapcraft aims to make upstream developers' lives easier and as such is not
  a single toolset, but instead is a collection of tools that enable the

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -Xusr/share/doc/snapcraft-examples/examples

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: @builddeps@

Tests: integrationtests examplestests
Restrictions: allow-stderr, isolation-container, rw-build-tree
Depends: @,
         bzr,
         git,
         mercurial,
         lxd,
         python3-pep8,
         pyflakes,
         python-flake8,
         python3-fixtures,
         python3-flake8,
         python3-mccabe,
         python3-pexpect,
         python3-testscenarios

## snapcraft 2.19+16.10

=== requirements.txt ===
configparser==3.5.0
docopt==0.6.2
file-magic==0.3.0
jsonschema==2.5.1
progressbar33==2.4
PyYAML==3.11
pyxdg==0.25
requests==2.9.1
https://launchpad.net/ubuntu/+archive/primary/+files/python-apt_1.1.0~beta1build1.tar.xz
https://launchpad.net/python-distutils-extra/trunk/2.39/+download/python-distutils-extra-2.39.tar.gz
requests-toolbelt==0.6.0
responses==0.5.1
petname==1.12
pymacaroons==0.9.2
pymacaroons-pynacl==0.9.3
simplejson==3.8.2
tabulate==0.7.5

=== integration_tests/snaps/simple-cmake-replace/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(simple-cmake-replace C)
add_definitions(-DPART_INSTALL=${PART_INSTALL})
add_executable(simple-cmake-replace test.c)
install(TARGETS simple-cmake-replace RUNTIME DESTINATION bin)

=== debian/changelog ===
snapcraft (2.19+16.10) yakkety; urgency=medium

  [ Sergio Schvezov ]
  * python plugin: only replace proper shebangs. (#830)
  * yaml xpath for errors. (#828)
  * sources: fix type when calling with depth (#829)
  * kernel plugin: allow collecting the same mod deps (#837)
  * pluginhandler: take the file encoding into account. (#838)
  * python plugin: only download in pull and build in build. (#832)
  * New upstream release 2.19 (LP: #1629472)

  [ Christopher James Halse Rogers ]
  * nodejs plugin: Add mechanism to run `npm run` commands. (#810)

  [ Daniel Holbach ]
  * Add links to IRC, mailing list and social media (#833)

  [ Celso Providelo ]
  * 'sign-build' implementation. (#831)

  [ Kyle Fazzari ]
  * catkin plugin: build with in-snap python. (#840)
  * catkin plugin: Support ROS Kinetic. (#842)

  [ Roberto Alsina ]
  * 'snapcraft validate' and 'snapcraft gated' implementation (#813)

  [ Joe Talbott ]
  * Replace SNAPCRAFT_PART_INSTALL in the part attributes. (#841)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 30 Sep 2016 17:56:06 -0400

snapcraft (2.18.1) xenial; urgency=medium

  [ Carlo Lobrano ]
  * snapcraft search: return ordered results (#820)

  [ Sam Yaple ]
  * python plugin: Don't filter .pth files (#822)

  [ Sergio Schvezov ]
  * Make copies of remote parts to avoid ordering issues (#821)
  * plainbox-provider plugin: rewrite python shebangs (#823)
  * New upstream release 2.18.1 (LP: #1626224)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 23 Sep 2016 13:50:26 -0300

snapcraft (2.18) xenial; urgency=medium

  [ Sam Yaple ]
  * Check if option is url for pip (#785)
  * Unify python plugin test (#793)

  [ Sergio Schvezov ]
  * Improve lifecycle execution of steps (#794)
  * Load project information in one location (#799)
  * Replace uses of copy with dump (#798)
  * Report the proper line number on bad yaml errors (#816)
  * Support deb files as sources (#811)
  * lxd: use built-in image streams. (#817)
  * Make source-depth a parameter and opt-in (#814)
  * New upstream release 2.18 (LP: #1626224)

  [ Kyle Fazzari ]
  * Only discover dependencies once per file. (#796)

  [ Leo Arias ]
  * In the busybox test, use the last installed data dir (#801)
  * Add the TEST_STORE environment variable to the travis script (#802)

  [ Evan ]
  * autotools plugin: Do not run the bootstrap directory as a script. (#803)

  [ Jonathon Love ]
  * nodejs plugin: fix to install of dev-deps in package.json (#800)

  [ Colin Watson ]
  * Fix parts integration tests (#807)
  * Remove snapcraft.storeapi.common (#806)
  * Adjust login to conform to UX specification (#804)
  * Refresh discharge macaroon if necessary (#805)

  [ Joe Talbott ]
  * Don't litter /tmp with test artifacts. (#808)
  * Handle missing source type packages in the parser (#742)

  [ James Lucas ]
  * make plugin: allow copying artifact dirs (#809)

  [ Enrique Hernández Bello ]
  * Enable crosscompilation for dump and copy plugins (#791)

  [ Celso Providelo ]
  * Replacing deprecated API for searching snaps. (#815)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 21 Sep 2016 15:55:08 +0000

snapcraft (2.17) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Python plugin improvements (#771)
  * Organize without removing files on target (#780)
  * Support globbing for organize (#784)
  * New upstream release 2.17 (LP: #1621985)

  [ Leo Arias ]
  * Use --force-dangerous when testing the installation of snaps (#778)
  * Updated the contents of the snapcraft init template (#776)
  * Add an integration test for autotools (#783)

  [ Colin Watson ]
  * Implement basic form of `snapcraft register-key` (#726)
  * Add `snapcraft list-keys` (#786)

  [ Joe Talbott ]
  * parser - Handle project name and version variables (#773)

  [ Sam Yaple ]
  * python plugin: do not compile pyc files when installing with pip (#779)

  [ Alexandre Abreu ]
  * gulp plugin: fix the npm install prefix (#782)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 09 Sep 2016 19:25:24 +0000

snapcraft (2.16) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Allow registering private packages (#749)
  * Allow debugging cleanbuild runs. (#740)
  * storeapi: remove dependency on the 'success' attr (#750)
  * Export important project variables (#757)
  * Use a recursive iglob for filesets (#765)
  * HACKING.md: list dependencies to install with pip (#770)
  * Minor fixes for typos in --help (#769)
  * Better file conflict message (#766)
  * Update kernel meta to the latest spec. (#768)
  * New upstream release 2.16 (LP: #1619776)

  [ Joe Talbott ]
  * parser - Remove namespacing and subparts. (#705)
  * Use block style for multiline YAML values. (#756)

  [ Leo Arias ]
  * Enable the static checks for the integration tests (#755)
  * Add the arm64 architecture to the nodejs plugin (#753)
  * go plugins: remove the useless call to os.path.join (#759)
  * Removed statements not used by the tests (#760)
  * Make a copy of the snapcraft files common list before using it. (#767)

  [ Caio Begotti ]
  * Implementing 'grade' support in snapcraft.yaml (#764)

  [ Scott Moser ]
  * node plugin: run build in pull phase to download dependencies. (#762)

  [ Paolo Pisati ]
  * kernel plugin: vmlinuz -> kernel.img hard link (#748)

  [ Loïc Minier ]
  * Include /sbin and usr/sbin in wrappers (#763)

  [ Evan Dandrea ]
  * ant plugin: add properties and build target options (#752)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 02 Sep 2016 19:32:40 +0000

snapcraft (2.15.1) xenial; urgency=medium

  [ Robert Ancell ]
  * Remove .la files generated by autotools (#670)

  [ Joe Talbott ]
  * Only show chown warnings with --debug. (#739)
  * Actually return a non-zero error code on errors. (#745)

  [ Sergio Schvezov ]
  * make plugin: fix artifact collecting (#743)
  * testing: only run the ros demo on xenial (#744)
  * New upstream release 2.15.1 (LP: #1614322)



=== debian/control ===
Source: snapcraft
Section: utils
Priority: extra
Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-python,
               pkg-config,
               python3 (>= 3.4),
               python3-apt,
               python3-docopt,
               python3-fixtures,
               python3-jsonschema,
               python3-lxml,
               python3-magic,
               python3-petname,
               python3-pkg-resources,
               python3-progressbar,
               python3-pymacaroons,
               python3-requests,
               python3-requests-toolbelt,
               python3-responses,
               python3-simplejson,
               python3-setuptools,
               python3-tabulate,
               python3-testscenarios,
               python3-testtools,
               python3-xdg,
               python3-yaml,
               squashfs-tools,
Homepage: https://github.com/snapcore/snapcraft
Vcs-Git: https://github.com/snapcore/snapcraft.git
Vcs-Browser: https://github.com/snapcore/snapcraft
Standards-Version: 3.9.8

Package: snapcraft
Architecture: all
Depends: python3-apt,
         python3-docopt,
         python3-jsonschema,
         python3-lxml,
         python3-magic,
         python3-petname,
         python3-pkg-resources,
         python3-progressbar,
         python3-pymacaroons,
         python3-requests,
         python3-requests-toolbelt,
         python3-simplejson,
         python3-tabulate,
         python3-xdg,
         python3-yaml,
         squashfs-tools,
         sudo,
         ${misc:Depends},
         ${python3:Depends}
Suggests: lxd, snapd (>= 2.15~)
Description: easily craft snaps
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.

Package: snapcraft-parser
Architecture: all
Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: cloud parser for shared snapcraft parts.
 The parser is in charge of getting all the shared parts out there
 indexed into a common cacheable file. It processes multiple origin's
 specified in yaml documents and outputs `parts` which snapcraft can
 utilize.

Package: snapcraft-examples
Architecture: all
Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: examples and demos for snapcraft
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.
 .
 This package contains examples and demos for snapcraft.

=== debian/tests/control ===
Tests: integrationtests
Restrictions: allow-stderr, isolation-container, rw-build-tree
Depends: @,
         bzr,
         git,
         curl,
         mercurial,
         subversion,
         lxd,
         snapd (>= 2.15~),
         python3-pep8,
         pyflakes,
         python-flake8,
         python3-fixtures,
         python3-pexpect,
         python3-testscenarios

Tests: snapstests
Restrictions: allow-stderr, isolation-container, rw-build-tree
Depends: @,
         git,
         curl,
         python3-fixtures,
         python3-pexpect,
         python3-testscenarios,
         snapd (>= 2.15~)

## snapcraft 2.28+17.04

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 docopt==0.6.2
 file-magic==0.3.0
 jsonschema==2.5.1
+libarchive-c==2.5
 progressbar33==2.4
 PyYAML==3.11
 pyxdg==0.25
@@ -13,5 +14,8 @@
 petname==1.12
 pymacaroons==0.9.2
 pymacaroons-pynacl==0.9.3
+pysha3==1.0b1; python_version < '3.6'
 simplejson==3.8.2
 tabulate==0.7.5
+python-debian==0.1.28
+chardet==2.3.0

=== debian/changelog ===
snapcraft (2.28+17.04) zesty; urgency=medium

  [ Sergio Schvezov ]
  * python plugin: use stage headers if applicable. (#1156)
  * docs: use correct target to generate docs. (#1159)
  * packaging: snapcraft as a snap (#1158)
  * tour: make it work when its a snap. (#1217)
  * cleanbuild: don't copy cache into container. (#1216)
  * kernel plugin: fix modprobe output parsing. (#1208)
  * kernel plugin: use default per arch targets. (#1209)
  * python plugin: support pbr/setup.cfg projects. (#1202)
  * cleanbuild: packaging independent detection. (#1199)
  * tests: remove repo.Ubuntu patch for plugins. (#1194)
  * store: enable delta uploads by default. (#1196)
  * repo: refactor into a package. (#1192)
  * core: resolve ld link first. (#1189)
  * store: enable retries for store calls. (#1184)
  * New upstream release 2.28 (LP: #1675391)

  [ Joe Talbott ]
  * store: set User-Agent header in store requests. (#1188)
  * store: Add track support to commands. (#1161)
  * state: asset tracking - store versions of stage-packages. (#1142)
  * store: remove 'Series' from channel map output (#1151)
  * repo: support versioned stage-packages. (#1157)
  * parser: use the project loader code to find the origin's snapcraft.yaml (#1141)
  * cli: rename `history` to 'list-revisions' with `revisions` alias. (#1160)
  * repo: add version support for build-packages (#1185)
  * project: use a more likely to be found global build-package (#1218)

  [ Paolo Pisati ]
  * demos:  add the minimal config changes to boot a dragonboard410c (#1147)
  * kernel plugin: if no dtb target is set when the arch is arm.* build them all. (#1148)
  * kernel plugin: rework MAKEFLAGS from the environment (#1150)

  [ Kyle Fazzari ]
  * contribution guide: add commit message template (#1153)
  * demos: make ROS demos support exiting after success. (#1201)
  * catkin plugin: support building with an underlay. (#1140)
  * demos: add ROS content sharing demo. (#1186)
  * repo: fixup with python, not sed (#1181)
  * repo: ignore symlinks to libc. (#1174)
  * sources: update documentation for source-subdir (#1177)

  [ Olivier Tilloy ]
  * project: expose parallel_build_count to scriptlets. (#1154)

  [ Leo Arias ]
  * docs: build and push the API docs to github pages. (#1126)
  * tests: pass the autopkgtest secret to the container (#1162)
  * tests: update the ftp source for integration test (#1169)
  * ci: install wget in the container that triggers the beta tests. (#1167)
  * demos: add a message to exit the mosquitto subscriber. (#1173)
  * demos: add the mount-observe plug to be able to run godd. (#1172)
  * tests: support bzr branches for external tests. (#1128)
  * docs: update the directory where the API pages are generated (#1163)
  * demos: remove the tomcat demo snap. (#1176)
  * tests: make the kernel unit tests architecture independent. (#1178)
  * tests: support snap directory in external tests (#1180)
  * tests: run the master tests against the staging server (#1164)
  * tests: take into account the new current link. (#1187)
  * ci: run the CLA check in a docker container. (#1191)
  * tests: add manual tests for the kernel snaps (#1198)
  * ci: allow to run individual autopkgtest suites (#1200)
  * tests: expect failures for the tests that can't be run in arm64. (#1145)

  [ Jonathan Cave ]
  * plainbox-provider plugin: run validate (#1095)

  [ Michael Hudson-Doyle ]
  * core: fix symlink resolution in get_core_dynamic_linker. (#1170)

  [ pachulo ]
  * sources: add optional "source-checksum" property (#980)

  [ Colin Watson ]
  * godeps plugin: add git to build-packages. (#1179)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 23 Mar 2017 16:11:14 -0300

snapcraft (2.27.1) xenial; urgency=medium

  [ Kyle Fazzari ]
  * catkin plugin: produce build-ready staging area. (#1130)

  [ Leo Arias ]
  * ci: trigger beta tests on travis every day. (#1144)

  [ Joe Talbott ]
  * store: switch Track and Arch in the channel map display. (#1143)

  [ Sergio Schvezov ]
  * Revert "repo: remove symlinks to libc. (#1100)" (#1146)
  * New upstream release 2.27.1 (LP: #1665759)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 17 Feb 2017 19:58:48 +0000

snapcraft (2.27) xenial; urgency=medium

  [ Sergio Schvezov ]
  * core: switch to using rpath for clasic confinement. (#1094)
  * python plugin: do the right thing with classic. (#1093)
  * meta: support for the environment keyword. (#1103)
  * meta: correct the deprecation for `setup/gui` use. (#1107)
  * tests: avoid snapping progress to leak into report. (#1114)
  * core: setup core to support classic confinement. (#1112)
  * cleanbuild: allow talking to a remote. (#1121)
  * plainbox-provider plugin: filter out sitecustomize. (#1139)
  * New upstream release 2.27 (LP: #1663229)

  [ Kyle Fazzari ]
  * schema,copy plugin: better errors when item has no value. (#1096)
  * cleanbuild: include snap directory in tarball. (#1102)
  * repo: remove symlinks to libc. (#1100)
  * catkin plugin: don't pass args to setup.sh. (#1099)
  * pluginhandler: support more complex stage-packages. (#1059)
  * repo: cache stage packages for faster future use. (#1122)

  [ Leo Arias ]
  * tests: do not rely on project_dir. (#1078)
  * lifecycle: print the command needed to clean the dirty part (#1097)
  * tests: check the CLA on all the commits. (#1106)
  * tests: rename the integration test snaps. (#1105)
  * misc: consistently use a dash for copyright years. (#1101)
  * tests: rename the waf test snap. (#1111)
  * ci: fix the env vars passed to the docker container in travis. (#1125)
  * python plugin: exclude the RECORD files. (#1138)

  [ Marco Trevisan ]
  * meta: properly get the icon extension from splitted name. (#1092)
  * tests: fix or ignore PEP8 static errors. (#1085)

  [ John Lenton ]
  * ux: print the version on startup when running with --debug (#1086)

  [ Dan Chapman ]
  * qbs plugin: add plugin support for the Qt Build Suite (qbs). (#1079)

  [ Bayard Randel ]


=== debian/control ===
--- 
+++ 
@@ -5,18 +5,22 @@
 Build-Depends: bash-completion,
                debhelper (>= 9),
                dh-python,
+               git,
                pkg-config,
                python3 (>= 3.4),
                python3-apt,
+               python3-debian,
                python3-docopt,
                python3-fixtures,
                python3-jsonschema,
+               python3-libarchive-c,
                python3-lxml,
                python3-magic,
                python3-petname,
                python3-pkg-resources,
                python3-progressbar,
                python3-pymacaroons,
+               python3-pysha3,
                python3-requests,
                python3-requests-toolbelt,
                python3-responses,
@@ -28,6 +32,7 @@
                python3-xdg,
                python3-yaml,
                squashfs-tools,
+               xdelta3,
 Homepage: https://github.com/snapcore/snapcraft
 Vcs-Git: https://github.com/snapcore/snapcraft.git
 Vcs-Browser: https://github.com/snapcore/snapcraft
@@ -36,14 +41,17 @@
 Package: snapcraft
 Architecture: all
 Depends: python3-apt,
+         python3-debian,
          python3-docopt,
          python3-jsonschema,
+         python3-libarchive-c,
          python3-lxml,
          python3-magic,
          python3-petname,
          python3-pkg-resources,
          python3-progressbar,
          python3-pymacaroons,
+         python3-pysha3,
          python3-requests,
          python3-requests-toolbelt,
          python3-simplejson,
@@ -52,6 +60,7 @@
          python3-yaml,
          squashfs-tools,
          sudo,
+         xdelta3,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: lxd, snapd (>= 2.15~)

## snapcraft 2.31+16.10

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+click>=6.2
 configparser==3.5.0
 docopt==0.6.2
 file-magic==0.3.0
@@ -7,7 +8,7 @@
 PyYAML==3.11
 pyxdg==0.25
 requests==2.9.1
-https://launchpad.net/ubuntu/+archive/primary/+files/python-apt_1.1.0~beta1build1.tar.xz
+https://launchpad.net/ubuntu/+archive/primary/+files/python-apt_1.1.0~beta1build1.tar.xz; sys_platform == 'linux'
 https://launchpad.net/python-distutils-extra/trunk/2.39/+download/python-distutils-extra-2.39.tar.gz
 requests-toolbelt==0.6.0
 responses==0.5.1

=== demos/scons/SConstruct ===
# SConstruct
import os

env = Environment()

destdir = os.environ.get("DESTDIR")
if destdir == None:
    destdir = ""

hello = env.Program(["hello.c"])
env.Install(destdir + "/usr/bin", hello)
env.Alias('install', destdir + "/usr/bin")

=== demos/rosinstall/src/quittable_listener/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(quittable_listener)

find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
)

catkin_package()

install(PROGRAMS
  scripts/listener_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  talk_and_listen.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== tour/20-PARTS-PLUGINS/01-reusable-part/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(hello-world-desktop)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets)

add_executable(hello-world-desktop main.cpp)

target_link_libraries(hello-world-desktop Qt5::Widgets)

install(TARGETS hello-world-desktop RUNTIME DESTINATION bin)

=== debian/changelog ===
snapcraft (2.31+16.10) yakkety; urgency=medium

  [ Sergio Schvezov ]
  * storeapi: resume snap downloads (#1330)
  * cli: remove double congrats messaging (#1351)
  * cli: do not duplicate errors (#1347)
  * cli: default options for the implicit snap command (#1353)
  * go plugin: filter the main packages when go-packages are defined (#1355)
  * New upstream release 2.31 (LP: #1692102)

  [ Colin Watson ]
  * store: send X-Ubuntu-Series, not X-Ubuntu-Release (#1320)

  [ Kyle Fazzari ]
  * docs: improve onboarding experience (#1336)
  * catkin plugin: add support for rosinstall files (#1314)
  * common: find data files via sys.prefix (#1356)

  [ Tim Süberkrüb ]
  * qmake plugin: set default qt version (#1328)
  * tour: use https for source urls (#1329)

  [ Leo Arias ]
  * tests: small updates for manual kernel tests (#1327)
  * tests: use the fake apt cache in deb unit tests (#1334)
  * state: save all the build packages as global (#1340)

  [ Michał Sawicz ]
  * sources: don't use --remote for updating git submodules (#1344)

  [ Christian Dywan ]
  * go plugin: add support for cross-compilation (#1338)
  * go plugin: cross compile with CGo (#1343)
  * plugins: clarify wording of cross-compilation unsupported error (#1349)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 22:51:40 -0300

snapcraft (2.30) xenial; urgency=medium

  [ Sergio Schvezov ]
  * cli: new UI and internal refactor (#1307)
  * cli: proper error for failed snap command (#1325)
  * Revert "tests: remove the reusable parts tour test (#1321)" (#1324)
  * store: collaboration UI for snaps (#1288)
  * New upstream release 2.30 (LP: #1692102)

  [ Leo Arias ]
  * tests: initial setup for the snapcraft snap tests with spread (#1272)
  * misc: rename the snap dir variable to prime dir (#1279)
  * recording: save the snapcraft.yaml in the resulting snap (#1278)
  * tests: minor cleanups on the spread tests (#1287)
  * tests: refactor tests with build and stage packages (#1290)
  * parts: remove the deprecated snap keyword from the internal representation (#1282)
  * tests: fix the recording tests to work in multiple architectures (#1292)
  * recording: record stage packages installed in the snap (#1293)
  * recording: record build packages installed in the snap (#1295)
  * tests: increase the staging registration limit to 100 (#1271)
  * tests: use C.UTF-8 for the docker locale (#1310)
  * state: save the dependencies of build packages (#1299)
  * recording: record global build-packages installed on the host (#1306)
  * state: fix the name of the source details (#1312)
  * meta: read and write the desktop file with utf-8 encoding (#1309)
  * cleanbuild: set the container language to C.UTF-8 (#1304)
  * tests: remove the reusable parts tour test (#1321)
  * recording: save the details of the source pulled (#1317)
  * state: ignore the 'any' architecture in the build packages apt cache (#1322)
  * state: search for the build package that provides a virtual package (#1323)

  [ Facundo Batista ]
  * store: support for channel branches in responses for release, close, and status (#1280)

  [ Christian Dywan ]
  * lxd: pass through commands into the container (#1263)
  * lxd: setup image and target arch for cross-compilation (#1286)
  * lxd: support the architectures field from older LXDs (#1305)
  * lxd: mock platform in the FakeLXD fixture (#1315)

  [ Paolo Pisati ]
  * kernel plugin: learn how to assemble the ubuntu config using kconfigflavour (#1285)
  * kernel plugin: slightly improve the messaging of check_config() (#1303)
  * kernel plugin: do not warn about DMIID in config check (#1319)
  * kernel_plugin: use CROSS_COMPILE to override the default toolchain (#1242)
  * cli: allow uts machine arch as a valid --target-arch option (#1204)
  * kernel plugin: verify kernel config is correct (#1223)

  [ Tim Süberkrüb ]
  * sources: add support for 7-zip files (#1168)

  [ JulianLiu ]
  * meson plugin: add a plugin for meson build system (#1294)

  [ roxd ]
  * rust plugin: use of source-subdir without failing on pull (#1296)
  
  [ edvega ]
  * sources: validate unknown source-type in yaml (#1297)

  [ Ricardo N Feliciano ]
  * docs: add missing VCS dependencies to HACKING.md (#1311)
  * cli: allow capital Y to accept the dev agreement (#1308)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 19 May 2017 17:39:34 -0300

snapcraft (2.29) xenial; urgency=medium

  [ Sergio Schvezov ]
  * store: better retry strategy for GETs. (#1212)
  * docs: remove docs and link to snappy-docs. (#1227)
  * nodejs plugin: switch to the newer LTS. (#1228)
  * pluginhandler: exclude `/snap/` from libraries. (#1231)
  * nodejs plugin: switch to the newer LTS. (#1228) (#1232)
  * core: find the correct libraries as a snap. (#1234)
  * snap: use the gpg tarball instead of git://. (#1236)
  * docs: update contribution guide. (#1233)
  * repo: enable elementary. (#1237)
  * cli: improve push output. (#1240)
  * ci: split plugin integration tests out. (#1252)
  * nodejs plugin: add support for yarn. (#1245)
  * ci: fix travis ordering for locales generation. (#1254)
  * core: support running from other operating systems. (#1257)
  * meta: version from git support. (#1260)
  * shell_utils: code cleanup (#1265)
  * meta: override the version with version-script. (#1267)
  * tests: fix package version pinning tests. (#1269)
  * New upstream release 2.29 (LP: #1684965)

  [ Joe Talbott ]
  * tests: Fix staging store test for Tracks. (#1225)
  * pluginhandler: factor out state bits into the state package. (#1221)
  * repo: track per-part build-packages. (#1193)
  * sources: add VCS asset tracking (#1229)

  [ Facundo Batista ]
  * store: better check of the error code in StatusTracker. (#1226)

  [ Leo Arias ]
  * tests: add arm64 to the nightly tests (#1210)
  * tests: update name registration window limit test. (#1224)
  * ci: update the location of the upstream retry autopkgtests script. (#1243)


=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: extra
 Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
 Build-Depends: bash-completion,
+               bzr,
                debhelper (>= 9),
                dh-python,
                git,
+               mercurial,
                pkg-config,
                python3 (>= 3.4),
                python3-apt,
+               python3-click,
                python3-debian,
                python3-docopt,
                python3-fixtures,
@@ -31,6 +34,7 @@
                python3-testtools,
                python3-xdg,
                python3-yaml,
+               subversion,
                squashfs-tools,
                xdelta3,
 Homepage: https://github.com/snapcore/snapcraft
@@ -42,7 +46,7 @@
 Architecture: all
 Depends: python3-apt,
          python3-debian,
-         python3-docopt,
+         python3-click,
          python3-jsonschema,
          python3-libarchive-c,
          python3-lxml,
@@ -72,7 +76,10 @@
 
 Package: snapcraft-parser
 Architecture: all
-Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
+Depends: snapcraft (= ${binary:Version}),
+         python3-docopt,
+         ${misc:Depends},
+         ${python3:Depends},
 Description: cloud parser for shared snapcraft parts.
  The parser is in charge of getting all the shared parts out there
  indexed into a common cacheable file. It processes multiple origin's

=== debian/tests/control ===
Tests: integrationtests
Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
Depends: @,
         bzr,
         git,
         curl,
         mercurial,
         subversion,
         lxd,
         snapd (>= 2.15~),
         python3-pep8,
         pyflakes,
         python-flake8,
         python3-fixtures,
         python3-pexpect,
         python3-pyftpdlib,
         python3-testscenarios

Tests: snapstests
Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
Depends: @,
         git,
         curl,
         python3-fixtures,
         python3-pexpect,
         python3-requests-unixsocket,
         python3-testscenarios,
         snapd (>= 2.15~)
